Name:           pychess
Version:        0.12.4
Release:        %mkrel 1
Summary:        Chess game for GNOME
Group:          Games/Boards
License:        GPLv3
URL:            http://pychess.org
Source0:        http://www.pychess.org/download/%{name}-%{version}.tar.gz
# Patch from Fedora, install data files to python-gtksourceview datadir
Patch10:        pychess-0.12.4-gtksourceview2.patch

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
Requires:       adwaita-icon-theme

%description
PyChess is a GTK+ chess game for Linux. It is designed to at the same time
be easy to use, beautiful to look at, and provide advanced functions for
advanced players.


%prep
%setup -q
%autopatch -p1

chmod -x ARTISTS AUTHORS DOCUMENTERS TRANSLATORS

%build
%py3_build

%install
%py3_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md LICENSE ARTISTS AUTHORS DOCUMENTERS TRANSLATORS
%{python3_sitelib}/%{name}*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gtksourceview-2.0/language-specs/pgn.lang
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/menu/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Aug 13 2016 akien <akien> 0.12.4-1.mga6
+ Revision: 1046150
- Version 0.12.4

* Wed Mar 16 2016 daviddavid <daviddavid> 0.12.3-2.mga6
+ Revision: 991961
- rename and rediff unappliable gtksourceview2 patch (since fixed autopatch)

* Thu Mar 03 2016 akien <akien> 0.12.3-1.mga6
+ Revision: 985094
- Version 0.12.3
- Switch to Python 3 build

* Mon Jan 25 2016 akien <akien> 0.12.1-1.mga6
+ Revision: 927630
- Version 0.12.1

* Fri Nov 14 2014 wally <wally> 0.12-0.rc3.1.mga5
+ Revision: 797243
- new version 0.12 rc3
- drop unneeded gdk.threads_init() patch

* Wed Oct 15 2014 umeabot <umeabot> 0.12-0.rc2.3.mga5
+ Revision: 739831
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 0.12-0.rc2.2.mga5
+ Revision: 731054
- add patch to fix crash on startup

  + tv <tv>
    - rebuild for missing pythoneggs deps

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Mon Sep 08 2014 akien <akien> 0.12-0.rc2.1.mga5
+ Revision: 673631
- Version 0.12rc2

  + pterjan <pterjan>
    - Rebuild for new Python

  + wally <wally>
    - require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Tue Oct 22 2013 umeabot <umeabot> 0.10.1-7.mga4
+ Revision: 542911
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.10.1-6.mga4
+ Revision: 498045
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.10.1-5.mga3
+ Revision: 378393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.10.1-4.mga3
+ Revision: 324735
- rebuild for Mga3 Beta1

* Thu Jul 26 2012 kamil <kamil> 0.10.1-3.mga3
+ Revision: 274424
- adapt .spec for Mageia, adjust BR, R
- remove all Fedora unneeded .spec parts
- imported package pychess

